# My first label Book

import wx
import LabelBook as lbk
from Resources import *


panelcolors = ['pink', 'MEDIUMSLATEBLUE', 'green', 'red', 'yellow']
class SamplePane(wx.Panel):
	"""
	Just a simple test window to put into the LabelBook.
	"""
	def __init__(self, parent, colour, label):

		wx.Panel.__init__(self, parent, style=wx.BORDER_SUNKEN)
		self.SetBackgroundColour(colour)

		label = label + "\nEnjoy the LabelBook && FlatImageBook demo!"
		static = wx.StaticText(self, -1, label, pos=(10, 10))  
		
# --------------------#

class MyLabelBookDemo(wx.Frame):
	def __init__(self, parent, id = wx.ID_ANY, title = "My LabelBook Demo ;-)"):
		wx.Frame.__init__(self, parent, id, title)
		self.mpanel = wx.Panel(self, -1)

		self.book = lbk.LabelBook(self.mpanel, -1,
			style = INB_LEFT | INB_BORDER | INB_DRAW_SHADOW | INB_GRADIENT_BACKGROUND)

		tabwidth = 200
		self.book._pages.SetTabAreaWidth(tabwidth)

		for pg, color in enumerate(panelcolors):
			colabel = "This is page %s" % pg
			samplepane = SamplePane(self.book, color, colabel)
			self.book.AddPage(samplepane, color, True)
		self.book.SetSelection(0)

		psizer = wx.BoxSizer(wx.VERTICAL)
		self.mpanel.SetSizer(psizer)
		psizer.Add(self.book, 1, wx.ALL | wx.EXPAND, 0)
		self.mpanel.Fit()

	def CreateImageList(self):
		imagelist = wx.ImageList(32, 32)
		for img in pageicons:
			bmp = wx.Bitmap(img, wx.BITMAP_TYPE_PNG)
			imagelist.Add(bmp)
		return imagelist
		
if __name__ == "__main__":
	app = wx.PySimpleApp()
	m = MyLabelBookDemo(None)
	m.Show()
	app.MainLoop()
		
		